/ comp / gb.opengl / gl / deletelists
Gl.DeleteLists (gb.opengl)
Syntax

    STATIC SUB DeleteLists ( Index AS Integer, Range AS Integer )

### Delete a contiguous group of display lists

#### Parameters

- Index specifies the integer name of the first display list to delete.

- Range specifies the number of display lists to delete.

#### Description

Gl.DeleteLists causes a contiguous group of display lists to be deleted. Index is the name of the first display list to be deleted, and Range is the number of display lists to delete. All display lists d with Index<=d<=Index+Range-1 are deleted.

All storage locations allocated to the specified display lists are freed, and the names are available for reuse at later time. Names within that range that do not have an associated display list are ignored. If range is zero, nothing happens.

#### Errors

Gl.GL_INVALID_VALUE is generated if range is negative.
Gl.GL_INVALID_OPERATION is generated if Gl.DeleteLists is called between a call to Gl.Begin and the corresponding call to Gl.End.

### See also

Gl.CallList , Gl.CallLists , Gl.GenList, Gl.IsList , Gl.NewList